Pivotal Knowledge Base

Follow

Is Jetty required for GemFire Java Clients

Purpose

This article addresses the question of whether Gemfire 8.1+ Java clients require Jetty.

Issue

Starting with GemFire 8.1, Jetty is a dependency for running the embedded Pulse web application and is thus required on the server side. As the same GemFire binaries used on the server are used by GemFire Java clients, the Jetty jars are also, by default, included by GemFire clients. However, as Jetty is not required for client usage, these jars are not necessary.

Solution

For GemFire Java clients, Jetty is not required and the dependency can safely be excluded.

Comments

Powered by Zendesk